# itunesdb-rs

**itunesdb-rs** is a Rust crate for parsing and editing the `iTunesDB` file on iPods. This crate was originally developed for **Lyrica**, a personal project, and was not intended for public use. However, since it may be useful to others working with legacy iPod synchronization, it is now available with no guarantees or official support.

## Features
- Read and parse `iTunesDB` files
- Modify track metadata
- Add or remove songs
- Edit playlists
- Read and modify `ArtworkDB` to manage album artwork
- Save changes back to the iPod

## Installation

Add the following to your `Cargo.toml`:

```toml  
[dependencies]  
itunesdb = { git = "https://gitea.awain.net/alterwain/ITunesDB" }  
```

## Usage

```rust
let mut f = File::open("/Volumes/iPod/iPod_Control/iTunes/iTunesDB").unwrap();
let mut buf = Vec::new();
match f.read_to_end(&mut buf) {
    Ok(n) => {
        let data = &buf[..n];
        let mut xdb = itunesdb::deserializer::parse_bytes(data);
    }
    Err(e) => {}
}
```

## License
This project is distributed under Apache-2.0 license.